### 概述
	为方便客户将久通云运单详情集成到自己的系统，对按如下方式获取到的运单详情做了头部隐藏处理。
![](/uploads/jointech_embed/images/m_f62d3b1dabf245f3a27cf1e94eb43d46_r.png)

#### 接口请求地址：

- 测试环境地址：http://120.25.245.20:8092/OpenApi
- 生产环境地址(中国大陆)：https://cloud.assetscontrols.com:3443/OpenApi
- 生产环境地址(中国香港)：https://icloud.assetscontrols.com:3443/OpenApi
- 生产环境地址(开罗)：https://kcloud.assetscontrols.com:3443/OpenApi

#### 请求方式：

- POST

#### 请求头：

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|Content-Type |是  |string |请求类型： application/json   |

### 操作步骤
#### 1.获取身份鉴权信息(Token)

**同一用户获取到的token是固定值，建议将token缓存起来，不必反复请求。**

**请求路径: /login**


**请求参数:**

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|FUserName|是|string|用户名|
|FPassword|是|string|密码 (MD5(32))|

#### 返回示例:

**正确时返回:**

```xml
{
    "Result": 200,
    "Message":"success",
    "FObject": [{
        "FUserName": "admin",
        "FUserGUID": "63C399BD-2A0B-40E9-857D-6DEBF4908F92",
        "FTokenID": "DB7F20D9-84C3-44C3-B05A-06A9C392A189",
        "FExpireTime": "2020-07-30T08:00:00"
    }]
}
```

**错误时返回:**

```xml
{
    "Result": 103,
    "Message": "userName or password is error",
    "FObject": null
}
```

**返回参数说明:**

|参数名|类型|说明|
|:-----  |:-----|-----|
|FUserName|String|用户名|
|FUserGUID|String|用户唯一标识|
|FTokenID|String|身份唯一标识（后面请求接口均需要以此作为身份验证）|
|FExpireTime|DateTime|账户过期时间（UTC时间，转成北京时间需要+8小时）|

**备注:**
- 更多返回错误代码如下：
- 106：账户过期
- 103：用户名或者密码错误
- 102：请求参数错误

**Postman 请求示例:**

![](/uploads/jointech_embed/images/m_4a61520e4d5d36dc26defda9741552ff_r.png)

#### 2.根据条件获取运单URL

请求接口将根据运单号和运单号匹配符合条件的运单。如果匹配成功，将返回运单详情链接，否则返回空信息。

**请求路径: /KLRoute**


**请求参数:**

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|FAction|是|string|QueryLastingDepartureInfoWithFrame(固定值)|
|FTokenID|是|string|鉴权信息|
|FAssetID|是|string|设备号|
|FWaybill|是|string|运单号|
|FTimeDifferent|是|int|时差(分钟)|
|FLanguage|是|int|语言 0英文 1中文|

#### 返回示例:

**正确时返回:**

```xml
{
    "Result": 200,
    "Message": "check token success",
    "FObject": "https://xxx.assetscontrols.com:2443/fxydindex.html#/?480&xxx&10&isIframe"
}
```

**查询不到结果时返回:**

```xml
{
    "Result": 200,
    "Message": "check token success",
    "FObject": []
}
```

**错误时返回:**

```xml
{
    "Result": 102,
    "Message": "parameters(FTokenID/FAction) are error",
    "FObject": []
}
```

**返回参数说明:**

|参数名|类型|说明|
|:-----  |:-----|-----|
|FObject|String|URL地址|

**备注:**
- 更多返回错误代码如下：
- 102：请求参数错误

**Postman 请求示例:**

![](/uploads/jointech_embed/images/m_1b3182c4ff4e5421bb88d6464b889753_r.png)

#### 3.将URL赋值给iframe标签

将获取到的URL赋值给待嵌入系统中iframe标签的src属性即可。

![](/uploads/jointech_embed/images/m_b02fbdbb821e4700f5e94d21eddb5f12_r.png)