### 概述
	为方便客户将久通云运单监控界面集成到自己的系统，对按如下方式获取到的久通云系统做了头部隐藏处理。
![](/uploads/jointech_embed/images/m_4155a30d0d74da7b90851936af07a26a_r.png)

#### 接口请求地址：

- 测试环境地址：http://120.25.245.20:8092/OpenApi
- 生产环境地址(中国大陆)：https://cloud.assetscontrols.com:3443/OpenApi
- 生产环境地址(中国香港)：https://icloud.assetscontrols.com:3443/OpenApi
- 生产环境地址(开罗)：https://kcloud.assetscontrols.com:3443/OpenApi

#### 请求方式：

- POST

#### 请求头：

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|Content-Type |是  |string |请求类型： application/json   |

### 操作步骤
#### 1.获取身份鉴权信息(Object)

**同一用户获取到的鉴权信息通常是固定值，建议将缓存起来，不必反复请求。**

**请求路径: /login**


**请求参数:**

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|FUserName|是|string|用户名|
|FPassword|是|string|密码 (MD5(32))|

#### 返回示例:

**正确时返回:**

```xml
{
    "Result": 200,
    "Message":"success",
    "FObject": [{
        "FUserName": "admin",
        "FUserGUID": "63C399BD-2A0B-40E9-857D-6DEBF4908F92",
        "FTokenID": "DB7F20D9-84C3-44C3-B05A-06A9C392A189",
        "FExpireTime": "2020-07-30T08:00:00"
    }]
}
```

**错误时返回:**

```xml
{
    "Result": 103,
    "Message": "userName or password is error",
    "FObject": null
}
```

**返回参数说明:**

|参数名|类型|说明|
|:-----  |:-----|-----|
|FUserName|String|用户名|
|FUserGUID|String|用户唯一标识|
|FTokenID|String|身份唯一标识（后面请求接口均需要以此作为身份验证）|
|FExpireTime|DateTime|账户过期时间（UTC时间，转成北京时间需要+8小时）|

**备注:**
- 更多返回错误代码如下：
- 106：账户过期
- 103：用户名或者密码错误
- 102：请求参数错误

**Postman 请求示例:**

![](/uploads/jointech_embed/images/m_210027548c816b6e3d3f6a73690fd1fb_r.png)

#### 2.根据访问环境拼接URL
##### 访问环境地址：

- 测试环境地址：http://120.25.245.20:8081/
- 生产环境地址(中国大陆)：https://cloud.assetscontrols.com:2443/
- 生产环境地址(中国香港)：https://icloud.assetscontrols.com:2443/
- 生产环境地址(开罗)：https://kcloud.assetscontrols.com:2443/

**js代码示例**
```javascript
// 上面接口获取到的鉴权信息
const authInfo = FObject[0];

// 指定系统语言为英文
authInfo.FLanguage = 'en'

// 拼接地址
// isIframe=1为固定参数，表示当前链接用于嵌入
// iframeRouteCode=11表示嵌入的页面是实时监控，iframeRouteCode=12表示嵌入的页面是轨迹回放
// params为编码后的鉴权信息
const jtCloudUrl = `https://xxx.assetscontrols.com:2443/?isIframe=1&iframeRouteCode=11&params=${encodeURIComponent(JSON.stringify(authInfo))}`
```

#### 3.将URL赋值给iframe标签

将获取到的URL赋值给待嵌入系统中iframe标签的src属性即可。

**iframeRouteCode=11 对应实时监控**
http://120.25.245.20:8081/?isIframe=1&iframeRouteCode=11&params=%7B%22FUserName%22%3A%22jtrj%22%2C%22FUserGUID%22%3A%2275c43ea6-017a-4102-a83e-8f6329946b40%22%2C%22FTokenID%22%3A%22ec51d691-d9a7-4f74-95a8-1856be2ae745%22%2C%22FExpireTime%22%3A%222033-08-31T00%3A00%3A00%22%7D

![](/uploads/jointech_embed/images/m_aeaf52e871956ad2d6fffd6e9dd2312d_r.png)

**iframeRouteCode=12 对应轨迹回放**
http://120.25.245.20:8081/?isIframe=1&iframeRouteCode=12&params=%7B%22FUserName%22%3A%22jtrj%22%2C%22FUserGUID%22%3A%2275c43ea6-017a-4102-a83e-8f6329946b40%22%2C%22FTokenID%22%3A%22ec51d691-d9a7-4f74-95a8-1856be2ae745%22%2C%22FExpireTime%22%3A%222033-08-31T00%3A00%3A00%22%7D
![](/uploads/jointech_embed/images/m_90f620f70d949b3a4cc9f55266323b2f_r.png)